<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Gemini\Laravel\Facades\Gemini;

class InspectGemini extends Command
{
    protected $signature = 'inspect:gemini';
    protected $description = 'Inspect Gemini methods';

    public function handle()
    {
        $model = Gemini::generativeModel(model: 'gemini-pro');
        $this->info(implode("\n", get_class_methods($model)));
    }
}
